<?php
require_once 'functions.php';
session_start();
ob_start();
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

include 'config.php'; // Include your config file

require 'vendor/autoload.php'; // Autoload Composer dependencies

use SendGrid\Mail\Mail;

?>
<!doctype html>
<html lang="en">

<head>
<meta charset="utf-8" />
<title>Recover Password | Finance Collection</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- App favicon -->
<link rel="shortcut icon" href="/assets/images/favicon.ico">

<!-- Bootstrap Css -->
<link href="/assets/css/bootstrap.min.css" id="bootstrap-style" rel="stylesheet" type="text/css" />
<!-- Icons Css -->
<link href="/assets/css/icons.min.css" rel="stylesheet" type="text/css" />
<!-- App Css-->
<link href="/assets/css/app.min.css" id="app-style" rel="stylesheet" type="text/css" />
</head>

<body>
    <div class="account-pages my-5 pt-sm-5">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-8 col-lg-6 col-xl-5">
                    <div class="card overflow-hidden">
                        <div class="bg-primary bg-soft">
                            <div class="row">
                                <div class="col-7">
                                    <div class="text-primary p-4">
                                        <h5 class="text-primary"> Reset Password</h5>
                                    </div>
                                </div>
                                <div class="col-5 align-self-end">
                                    <img src="assets/images/profile-img.png" alt="" class="img-fluid">
                                </div>
                            </div>
                        </div>
                        <div class="card-body pt-0">
                            <div>
                                <a href="/">
                                    <div class="avatar-md profile-user-wid mb-4">
                                        <span class="avatar-title rounded-circle bg-light">
                                            <img src="https://media.licdn.com/dms/image/D4E16AQGfO7tWv1CSew/profile-displaybackgroundimage-shrink_200_800/0/1671580075723?e=2147483647&v=beta&t=kn3KsfmW76rAefldZ2HWFaKoYXwFpKi_2l5zxKRs05U" alt="" class="rounded-circle" height="34">
                                        </span>
                                    </div>
                                </a>
                            </div>

                            <div class="p-2">
                                <div class="alert alert-success text-center mb-4" role="alert">
                                    Enter your Email and instructions will be sent to you!
                                </div>
                                <form class="form-horizontal" method="POST">

                                <div class="mb-3">
                                    <label for="useremail" class="form-label">Email</label>
                                    <input type="email" name="email" class="form-control" id="useremail" placeholder="Enter email">
                                </div>
                            
                                <div class="text-end">
                                    <button class="btn btn-primary w-md waves-effect waves-light" type="submit">Reset</button>
                                </div>
                            
                            </form>
                            </div>

                        </div>
                    </div>
                    <div class="mt-5 text-center">
                        <p>Remember It ? <a href="login.php" class="fw-medium text-primary"> Sign In here</a> </p>
                        <div>
                            <p>© <script>
                                    document.write(new Date().getFullYear())
                                </script>  <?php echo "ClientMaster&trade;. Version " . get_latest_version(); ?></p>
                        </div>

                </div>
            </div>
        </div>
    </div>

    <!-- JAVASCRIPT -->
<script src="assets/libs/jquery/jquery.min.js"></script>
<script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="assets/libs/metismenu/metisMenu.min.js"></script>
<script src="assets/libs/simplebar/simplebar.min.js"></script>
<script src="assets/libs/node-waves/waves.min.js"></script>
    <!-- App js -->
    <script src="assets/js/app.js"></script>
<!-- Existing HTML above -->
<?php
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $email = $_POST['email'];

    // Fetch the user from the database
    $query = "SELECT * FROM users WHERE email = ?";
    $stmt = $conn->prepare($query);
    $stmt->bind_param("s", $email);
    $stmt->execute();
    $result = $stmt->get_result();
    $user = $result->fetch_object();

    if ($user !== null) {
        // Generate a temporary password
        $tempPassword = bin2hex(random_bytes(10)); // 20 characters long

        // Update the user's password
        $hashedPassword = password_hash($tempPassword, PASSWORD_DEFAULT);
        $updateQuery = "UPDATE users SET password = ? WHERE email = ?";
        $updateStmt = $conn->prepare($updateQuery);
        $updateStmt->bind_param("ss", $hashedPassword, $email);
        $updateStmt->execute();

        // Send an email with the temporary password
        $recipientEmail = $email;
        $subject = "Password Recovery";
        $body = "Here is your temporary password: " . $tempPassword;

        // Create a new SendGrid Mail instance
        $email = new Mail();
        $email->setFrom("noreply@taylor-price.co.uk", "Noreply");
        $email->setSubject($subject);
        $email->addTo($recipientEmail);
        $email->addContent("text/plain", $body);
        $email->addContent("text/html", $body . '<footer style="padding-top:20px;text-align:center;"></footer>');

        $sendgrid = new \SendGrid('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');

        try {
            $response = $sendgrid->send($email);
            echo '<div class="alert alert-success" role="alert">
                    Email has been sent. Check it out!
                  </div>';
        } catch (Exception $e) {
            echo '<div class="alert alert-danger" role="alert">
                    Email could not be sent. SendGrid Error: ' . $e->getMessage() . '
                  </div>';
        }
    } else {
        echo '<div class="alert alert-danger" role="alert">
                User not found or not active
              </div>';
    }
}
?>
<!-- Existing HTML below -->

</body>

</html>
