<?php
session_start();
ob_start();
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

include 'config_current.php'; // Include your config file

// Check if both username and password are set.
if (!isset($_POST['username']) || !isset($_POST['password'])) {
    $debug_info = http_build_query($_POST);
    header('Location: login.php?error=Please enter username and password&debug=' . $debug_info);
    exit();
}

// Get the posted data.
$username = $_POST['username'];
$password = $_POST['password'];

// Create the _access function
function _access($username, $password, $conn) {
    $email = $username;
    $username_account = false;
    $password_account = false;
    $disabled_account = false;
    $location = false;
    $message = null;

    // Check if user exists
    $query = "SELECT COUNT(*) as count FROM account_users WHERE email = ?";
    $stmt = $conn->prepare($query);
    $stmt->bind_param("s", $username);
    $stmt->execute();
    $result = $stmt->get_result();
    $count = $result->fetch_object()->count;
    if ($count == 0) {
        $username_account = true;
        $message = "Email/username Don't Exist. Please Try Again!!";
    } else {
        // Fetch user data
        $query = "SELECT id, nme AS name, email, job_title, ddi, type, created, forgotpass_hash, `auth-salt`, `auth-pass` FROM account_users WHERE email = ? AND disabled = 0";
        $stmt = $conn->prepare($query);
        $stmt->bind_param("s", $email);
        $stmt->execute();
        $pass_data = $stmt->get_result()->fetch_object();
        if (empty($pass_data)) {
            $disabled_account = true;
            $message = "Your Account Been Disabled!!";
        } else {
            // Check if password is correct
            $check_password = hash('sha256', $password . $pass_data->{'auth-salt'});
            for ($round = 0; $round < 65536; $round++) {
                $check_password = hash('sha256', $check_password . $pass_data->{'auth-salt'});
            }

            // Check if the hashed password matches the one in the database
            if (strtolower($check_password) == strtolower($pass_data->{'auth-pass'})) {
                unset($pass_data->{'auth-salt'});
                unset($pass_data->{'auth-pass'});
                $_SESSION = array(
                    "user_id" => $pass_data->id,
                    "account" => array(
                        "id" => $pass_data->id,
                        "email" => $pass_data->email,
                        "name" => $pass_data->name,
                        "type" => $pass_data->type,
                        "jobtitle" => $pass_data->job_title,
                        "DDI" => $pass_data->ddi,
                        "created" => date("M Y", strtotime($pass_data->created))
                    ),
                     "username" => $pass_data->email
                );

                if (empty($pass_data->forgotpass_hash)) {
                    $_SESSION["account"]["TPass"] = null;
                    if (!empty($_SESSION['REDIR'])) {
                        $location = str_replace("https://" . $_SERVER['SERVER_NAME'], "", $_SESSION['REDIR']);
                    } else {
                        $location = "/dashboard.php";
                    }
                } else {
                    $_SESSION["account"]["TPass"] = base64_decode($pass_data->passwrd);
                    $location = "/change-password.php";
                }
            } else {
                $password_account = true;
                $message = "Error: Details entered invalid. Please Try Again.";
            }
            unset($pass_data);
        }
    }
    return array(
        "username" => $username_account,
        "password" => $password_account,
        "disabled" => $disabled_account,
        "message" => $message,
        "location" => $location
    );
}

// Call the _access function and handle the response
$response = _access($username, $password, $conn);

if ($response['location']) {
    header('Location: ' . $response['location']);
    exit();
} else {
    header('Location: login.php?error=' . urlencode($response['message']));
    exit();
}

ob_end_flush();
?>
