<?php
    // Start session if it's not started yet
    if (session_status() === PHP_SESSION_NONE) {
        session_start();
    }

    // Include your database connection file here
    require 'config.php';

    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        // Get posted data
        $userId = $_POST['userId'];
        $newPassword = $_POST['newPassword'];

        // TODO: Add input validation here

        // Hash the password
        $hashedPassword = password_hash($newPassword, PASSWORD_DEFAULT);

        // Prepare the SQL query
        $query = "UPDATE users SET password = ? WHERE id = ?";
        $stmt = $conn->prepare($query);

        // Bind the input params to the prepared statement
        $stmt->bind_param("si", $hashedPassword, $userId);

        // Execute the statement
        if ($stmt->execute()) {
            // If the execution is successful, set a success message
            $_SESSION['message'] = "Password changed successfully";
            
            // Redirect to manage_users.php with the success message as a query parameter
            header("Location: manage_profile.php?message=success");
            exit();
        } else {
            $message = "Error: " . $stmt->error;
        }
    }
?>

