<?php
session_start();
// include_once 'config.php';
include_once 'config_current.php';

if (!function_exists('get_latest_version')) {
    function get_latest_version()
    {
        // Your existing function code here
    }
}

if (!isset($_SESSION['user_id'])) {
    header('Location: lockscreen.php');
    exit();
}

$query = "SELECT nme, job_title FROM account_users WHERE id = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("i", $_SESSION['user_id']);
$stmt->execute();
$result = $stmt->get_result();

if ($stmt->error) {
    die("Database error: " . $stmt->error);
}

$user = $result->fetch_object();

if (!$user) {
    die("No user found with ID: " . $_SESSION['user_id']);
}

// API URL
$api_url = "https://clearstart.clientmaster.uk/dateapi.php";

// Fetch data from the API
$response = file_get_contents($api_url);
if ($response === FALSE) {
    die("Error fetching API data.");
}

// Decode the JSON response
$data = json_decode($response, true);

// Extract variables
$start_date = $data['start_date'];
$end_date = $data['end_date'];
$today_date = $data['today_date'];

// Reformat the date
$formatted_start_date = DateTime::createFromFormat('Y-m-d', $start_date)->format('d F, Y');
$formatted_end_date = DateTime::createFromFormat('Y-m-d', $end_date)->format('d F, Y');

// Queries to count the statuses
$new_count = $conn->query("SELECT COUNT(id) AS count FROM `client_core` WHERE `clint-stts` = 1 AND `nxt-py-dte` BETWEEN '$start_date' AND '$end_date'")->fetch_assoc()['count'];
$in_review_count = $conn->query("SELECT COUNT(id) AS count FROM `client_core` WHERE `clint-stts` IN (2,8,9,10,11) AND `nxt-py-dte` BETWEEN '$start_date' AND '$end_date'")->fetch_assoc()['count'];
$in_process_count = $conn->query("SELECT COUNT(id) AS count FROM `client_core` WHERE `clint-stts` IN (7,9,11,17,19) AND `nxt-py-dte` BETWEEN '$start_date' AND '$end_date'")->fetch_assoc()['count'];
$cancelled_count = $conn->query("SELECT COUNT(id) AS count FROM `client_core` WHERE `clint-stts` = 4 AND `nxt-py-dte` BETWEEN '$start_date' AND '$end_date'")->fetch_assoc()['count'];
$returned_count = $conn->query("SELECT COUNT(id) AS count FROM `client_core` WHERE `clint-stts` = 14 AND `nxt-py-dte` BETWEEN '$start_date' AND '$end_date'")->fetch_assoc()['count'];
$aoh_count = $conn->query("SELECT COUNT(id) AS count FROM `client_core` WHERE `clint-stts` = 12 AND `nxt-py-dte` BETWEEN '$start_date' AND '$end_date'")->fetch_assoc()['count'];

// Queries to get the figures
$overdueAmount = $conn->query("SELECT SUM(`monthly-fee`) AS overdueAmount FROM `client_core`WHERE `nxt-py-dte` BETWEEN '$start_date' AND '$today_date'AND `clint-stts` IN (2,7,8,9,10,11,12,13,17,18,19) AND `authority` IS NOT NULL")->fetch_assoc()['overdueAmount'];
$collectedAmount = $conn->query("SELECT SUM(`amount`) AS collectedAmount FROM `client_ledger` WHERE `created-when` BETWEEN '$start_date' AND '$end_date' AND `payment-status` = 'success'")->fetch_assoc()['collectedAmount'];
$completedAmount = $conn->query("SELECT SUM(`monthly-fee`) AS completeAmount FROM `client_core` WHERE `nxt-py-dte` BETWEEN '$start_date' AND '$end_date' AND `clint-stts` = '6' ")->fetch_assoc()['completeAmount'];
$completedAmountCli = $conn->query("SELECT COUNT(*) AS completeAmountCli FROM `client_core` WHERE `nxt-py-dte` BETWEEN '$start_date' AND '$end_date' AND `clint-stts` = '6' ")->fetch_assoc()['completeAmountCli'];
$cancelledAmount = $conn->query("SELECT SUM(`monthly-fee`) AS cancelAmount FROM `client_core` WHERE `nxt-py-dte` BETWEEN '$start_date' AND '$end_date' AND `clint-stts` = '4' ")->fetch_assoc()['cancelAmount'];
$cancelledAmountCli = $conn->query("SELECT COUNT(*) AS cancelAmountCli FROM `client_core` WHERE `nxt-py-dte` BETWEEN '$start_date' AND '$end_date' AND `clint-stts` = '4' ")->fetch_assoc()['cancelAmountCli'];
$monthDue = $conn->query("SELECT SUM(`monthly-fee`) AS monthdue FROM `client_core` WHERE `nxt-py-dte` BETWEEN '$start_date' AND '$end_date' AND `clint-stts` IN (4, 6)")->fetch_assoc()['monthdue'];

//Queries to get the listing
$overduelist = $conn->query("SELECT `id`,  CONCAT(`title-1`, ' ', `forename-1`, ' ', `surname-1`) AS full_name, `nxt-py-dte` AS `payment_date`,`mblePhone-1`,`monthly-fee`, `card-captured`  FROM `client_core` WHERE `nxt-py-dte` BETWEEN '$start_date' AND '$today_date 'AND `clint-stts` IN (2,7,8,9,10,11,12,13,17,18,19) AND `authority` IS NOT NULL");
$newWaitingLoa = $conn->query("SELECT `id`,  CONCAT(`title-1`, ' ', `forename-1`, ' ', `surname-1`) AS full_name, `nxt-py-dte` AS `payment_date`,`mblePhone-1`,`monthly-fee`, `card-captured`  FROM `client_core` WHERE `authority` IS NULL AND `clint-stts` IN (1) ");
$welcomeList = $conn->query(" SELECT `id` ,CONCAT(`title-1`, ' ', `forename-1`, ' ', `surname-1`) AS full_name, `mblePhone-1`, `nxt-py-dte` AS `payment_date` FROM `client_core` WHERE `courtesy-dte` IS NULL AND `clint-stts` NOT IN (4,14,15,16) ");
$reviewList = $conn->query("SELECT `id` , CONCAT(`title-1`, ' ', `forename-1`, ' ', `surname-1`) AS full_name, `mblePhone-1`, `nxt-py-dte` AS `payment_date` FROM `client_core` WHERE `review-dte`  BETWEEN '$start_date' AND '$end_date' ");

$conn->close();
?>

<!DOCTYPE html>
<html>

<head>
    <title>Dashboard</title>
    <?php include 'layouts/head.php'; ?>
    <?php include 'layouts/head-style.php'; ?>
</head>
<?php include 'layouts/body.php'; ?>

<body>
    <div id="layout-wrapper">
        <?php include 'layouts/menu.php'; ?>
        <div class="main-content">
            <div class="page-content">
                <div class="container-fluid">
                    <div class="row">


                        <style>
                            .pagination-button {
                                margin: 2px;
                                cursor: pointer;
                                display: inline-block;
                                user-select: none;
                                text-decoration: none;
                                background-color: #556ee6;
                                color: #fff;
                                padding: 6px 12px;
                                border-radius: 4px;
                                transition: background-color 0.2s ease;
                                border: none;
                            }

                            .pagination-button:hover {
                                background-color: #0056b3;
                            }
                        </style>

                        <h5><strong>Dashboard</strong> - <?php echo $formatted_start_date; ?> <strong>to</strong> <?php echo $formatted_end_date; ?></h5>


                        <div class="row d-flex justify-content-end">
                            <div class="col-md-3">
                                <!-- Wrap the card inside an anchor tag -->
                                <div class="card mini-stats-wid">
                                    <div class="card-body">
                                        <div class="d-flex">
                                            <div class="flex-grow-1">
                                                <p class="text-muted fw-medium">New/ In Review/ In Process</p>
                                                <h4 class="mb-0">
                                                    <?= "$new_count / $in_review_count / $in_process_count"; ?>
                                                </h4>
                                            </div>

                                            <div class="flex-shrink-0 align-self-center">
                                                <div class="mini-stat-icon avatar-sm rounded-circle bg-primary align-self-center">
                                                    <span class="avatar-title">
                                                        <i class="bx bx bxs-paper-plane font-size-24"></i>
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                </a>
                            </div>

                            <div class="col-md-3">
                                <div class="card mini-stats-wid">
                                    <div class="card-body">
                                        <div class="d-flex">
                                            <div class="flex-grow-1">
                                                <p class="text-muted fw-medium">Cancelled/ Returned/ AOH</p>
                                                <h4 class="mb-0">
                                                    <?= "$cancelled_count / $returned_count / $aoh_count"; ?>
                                                </h4>
                                            </div>

                                            <div class="flex-shrink-0 align-self-center">
                                                <div class="avatar-sm rounded-circle bg-primary align-self-center mini-stat-icon">
                                                    <span class="avatar-title rounded-circle bg-primary">
                                                        <i class="bx bx bx-calendar font-size-24"></i>
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                </a>
                            </div>

                            <div class="col-md-3">
                                <div class="card mini-stats-wid">
                                    <div class="card-body">
                                        <div class="d-flex">
                                            <div class="flex-grow-1">
                                                <p class="text-muted fw-medium">Overdue Payments</p>
                                                <h4 class="mb-0"> <?= '£' . number_format($overdueAmount, 2); ?></h4>
                                            </div>

                                            <div class="flex-shrink-0 align-self-center">
                                                <div class="avatar-sm rounded-circle bg-primary align-self-center mini-stat-icon">
                                                    <span class="avatar-title rounded-circle bg-primary">
                                                        <i class="bx bx bx-loader-circle font-size-24"></i>
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                </a>
                            </div>

                            <div class="col-md-3">
                                <div class="card mini-stats-wid">
                                    <div class="card-body">
                                        <div class="d-flex">
                                            <div class="flex-grow-1">
                                                <p class="text-muted fw-medium">Collected</p>
                                                <h4 class="mb-0"> <?= '£' . number_format($collectedAmount, 2); ?></h4>
                                            </div>

                                            <div class="flex-shrink-0 align-self-center">
                                                <div class="avatar-sm rounded-circle bg-primary align-self-center mini-stat-icon">
                                                    <span class="avatar-title rounded-circle bg-primary">
                                                        <i class="bx bx bx-loader-circle font-size-24"></i>
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                </a>
                            </div>

                            <div class="col-md-3">
                                <div class="card mini-stats-wid">
                                    <div class="card-body">
                                        <div class="d-flex">
                                            <div class="flex-grow-1">
                                                <p class="text-muted fw-medium">Completed Value</p>
                                                <h4 class="mb-0"> <?= '£' . number_format($completedAmount, 2); ?> / <?= $completedAmountCli ?> </h4>
                                            </div>

                                            <div class="flex-shrink-0 align-self-center">
                                                <div class="avatar-sm rounded-circle bg-primary align-self-center mini-stat-icon">
                                                    <span class="avatar-title rounded-circle bg-primary">
                                                        <i class="bx bx bxs-archive font-size-24"></i>
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                </a>
                            </div>

                            <div class="col-md-3">
                                <div class="card mini-stats-wid">
                                    <div class="card-body">
                                        <div class="d-flex">
                                            <div class="flex-grow-1">
                                                <p class="text-muted fw-medium">Cancelled Value</p>
                                                <h4 class="mb-0"> <?= '£' . number_format($cancelledAmount, 2); ?> / <?= $cancelledAmountCli ?> </h4>
                                            </div>

                                            <div class="flex-shrink-0 align-self-center">
                                                <div class="avatar-sm rounded-circle bg-primary align-self-center mini-stat-icon">
                                                    <span class="avatar-title rounded-circle bg-primary">
                                                        <i class="bx bx bx-trending-up font-size-24"></i>
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="card mini-stats-wid">
                                    <div class="card-body">
                                        <div class="d-flex">
                                            <div class="flex-grow-1">
                                                <p class="text-muted fw-medium">Current Collected Percentage</p>
                                                <?php
                                                // Default values
                                                $overalltaken  = 0;
                                                $percollected  = 0;

                                                // Only compute if we actually have Overdue/Collected amounts
                                                if (($overdueAmount > 0) || ($collectedAmount > 0)) {
                                                    $overalltaken = $overdueAmount + $collectedAmount;
                                                    // Avoid division by zero
                                                    if ($overalltaken != 0) {
                                                        $percollected = $collectedAmount / $overalltaken;
                                                    }
                                                }
                                                ?>
                                                <!-- Show the result as a percentage with 2 decimals -->
                                                <h4 class="mb-0"> <?= number_format($percollected * 100, 2) ?> % </h4>
                                            </div>

                                            <div class="flex-shrink-0 align-self-center">
                                                <div class="avatar-sm rounded-circle bg-primary align-self-center mini-stat-icon">
                                                    <span class="avatar-title rounded-circle bg-primary">
                                                        <i class="bx bx bx-trending-up font-size-24"></i>
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <a href="locissuedreport.php" style="text-decoration: none; color: inherit;">
                                    <div class="card mini-stats-wid">
                                        <div class="card-body">
                                            <div class="d-flex">
                                                <div class="flex-grow-1">
                                                    <p class="text-muted fw-medium">Current Book Value</p>
                                                    <? $overallTaken = $overdueAmount + $collectedAmount + $completedAmount; ?>
                                                    <h4 class="mb-0"> £<?= number_format($overalltaken, 2) ?></h4>
                                                </div>

                                                <div class="flex-shrink-0 align-self-center">
                                                    <div class="avatar-sm rounded-circle bg-primary align-self-center mini-stat-icon">
                                                        <span class="avatar-title rounded-circle bg-primary">
                                                            <i class="bx bx-badge-check font-size-24"></i>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </a>
                            </div>
                        </div>
                        <div class="row">
                            <a href="awaitingagreementnumbersreport.php" style="text-decoration: none; color: inherit;">
                                <div class="card mini-stats-wid">
                                    <div class="card-body">
                                        <div class="d-flex">
                                            <div class="flex-grow-1">
                                                <p class="text-muted fw-medium">Book Value</p>
                                                <? $bookValue = $monthDue + $overdueAmount + $collectedAmount - $cancelledAmount; ?>
                                                <h4 class="mb-0">£<?= number_format($bookValue, 2) ?></h4>
                                                <p class="mb-0 mt-1 fs-5"><?= date('d F, Y', strtotime($start_date)); ?> to <?= date('d F, Y', strtotime($end_date)); ?></p>
                                            </div>

                                            <div class="flex-shrink-0 align-self-center">
                                                <div class="avatar-sm rounded-circle bg-primary align-self-center mini-stat-icon">
                                                    <span class="avatar-title rounded-circle bg-primary">
                                                        <i class="bx bx bxs-archive font-size-24"></i>
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </div>

                        <div class="row">
                            <div class="col-lg-6">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="card-title mb-4"><b>New</b> (Waiting on signed LOA)</h4>
                                        <div class="table-responsive">
                                            <table class="table align-middle table-nowrap mb-0" id="new-waiting-loa-table">
                                                <thead class="table-light">
                                                    <tr>
                                                        <th class="align-middle">ID</th>
                                                        <th class="align-middle">Name</th>
                                                        <th class="align-middle">Payment Date</th>
                                                        <th class="align-middle">Phone</th>
                                                        <th class="align-middle">Amount</th>
                                                        <th class="align-middle">Capture</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php if ($newWaitingLoa && $newWaitingLoa->num_rows > 0): ?>
                                                        <?php while ($row = $newWaitingLoa->fetch_assoc()): ?>
                                                            <tr>
                                                                <td>
                                                                    <a href="client/home.php?client_id=<?= urlencode($row['id']) ?>" target="_blank">
                                                                        <?= htmlspecialchars($row['id']) ?>
                                                                    </a>
                                                                </td>
                                                                <td><?= htmlspecialchars($row['full_name'] ?? '') ?></td>
                                                                <td><?= date('d F, Y', strtotime($row['payment_date'] ?? '')) ?></td>
                                                                <td><?= htmlspecialchars($row['mblePhone-1'] ?? '') ?></td>
                                                                <td><strong>£<?= htmlspecialchars($row['monthly-fee'] ?? '') ?></strong></td>
                                                                <td><?= strtoupper(htmlspecialchars($row['card-captured'] ?? 'N/A')) ?></td>
                                                            </tr>
                                                        <?php endwhile; ?>
                                                    <?php else: ?>
                                                        <tr>
                                                            <td colspan="6">No overdue clients found</td>
                                                        </tr>
                                                    <?php endif; ?>
                                                </tbody>
                                            </table>
                                        </div>
                                        <!-- end table-responsive -->
                                        <div style="margin-top: 10px; text-align: right;">
                                            <strong style="font-size: 18px;">
                                                Total:
                                                <span style="font-weight:300;">
                                                    <?= $newWaitingLoa ? $newWaitingLoa->num_rows : 0 ?>
                                                </span>
                                            </strong>
                                        </div>
                                        <!-- Pagination container for "New" table -->
                                        <div id="pagination-new-waiting-loa" style="margin-top: 10px; text-align: right;"></div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-6">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="card-title mb-4"><b>Overdue Payments</b></h4>
                                        <div class="table-responsive">
                                            <table class="table align-middle table-nowrap mb-0" id="overdue-table">
                                                <thead class="table-light">
                                                    <tr>
                                                        <th class="align-middle">ID</th>
                                                        <th class="align-middle">Name</th>
                                                        <th class="align-middle">Payment Date</th>
                                                        <th class="align-middle">Phone</th>
                                                        <th class="align-middle">Amount</th>
                                                        <th class="align-middle">Capture</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php if ($overduelist && $overduelist->num_rows > 0): ?>
                                                        <?php while ($row = $overduelist->fetch_assoc()): ?>
                                                            <tr>
                                                                 <td>
                                                                    <a href="client/home.php?client_id=<?= urlencode($row['id']) ?>" target="_blank">
                                                                        <?= htmlspecialchars($row['id']) ?>
                                                                    </a>
                                                                </td>
                                                                <td><?= htmlspecialchars($row['full_name'] ?? '') ?></td>
                                                                <td><?= date('d F, Y', strtotime($row['payment_date'] ?? '')) ?></td>
                                                                <td><?= htmlspecialchars($row['mblePhone-1'] ?? '') ?></td>
                                                                <td><strong>£<?= htmlspecialchars($row['monthly-fee'] ?? '') ?></strong></td>
                                                                <td><?= strtoupper(htmlspecialchars($row['card-captured'] ?? '')) ?></td>
                                                            </tr>
                                                        <?php endwhile; ?>
                                                    <?php else: ?>
                                                        <tr>
                                                            <td colspan="6">No overdue clients found</td>
                                                        </tr>
                                                    <?php endif; ?>
                                                </tbody>
                                            </table>
                                        </div>
                                        <!-- end table-responsive -->
                                        <div style="margin-top: 10px; text-align: right;">
                                            <strong style="font-size: 18px;">
                                                Total:
                                                <span style="font-weight:300;">
                                                    <?= $overduelist ? $overduelist->num_rows : 0 ?>
                                                </span>
                                            </strong>
                                        </div>
                                        <!-- Pagination container for "Overdue" table -->
                                        <div id="pagination-overdue" style="margin-top: 10px; text-align: right;"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="card-title mb-4"><b>Welcome Calls Due</b></h4>
                                        <div class="table-responsive">
                                            <table class="table align-middle table-nowrap mb-0" id="welcomedue-table">
                                                <thead class="table-light">
                                                    <tr>
                                                        <th class="align-middle">ID</th>
                                                        <th class="align-middle">Name</th>
                                                        <th class="align-middle">Payment Date</th>
                                                        <th class="align-middle">Phone</th>
                                                    </tr>
                                                </thead>

                                                <tbody>
                                                    <?php if ($welcomeList && $welcomeList->num_rows > 0): ?>
                                                        <?php while ($row = $welcomeList->fetch_assoc()): ?>
                                                            <tr>
                                                                   <td>
                                                                    <a href="client/home.php?client_id=<?= urlencode($row['id']) ?>" target="_blank">
                                                                        <?= htmlspecialchars($row['id']) ?>
                                                                    </a>
                                                                </td>
                                                                <td><?= htmlspecialchars($row['full_name'] ?? '') ?></td>
                                                                <td><?= date('d F, Y', strtotime($row['payment_date'] ?? '')) ?></td>
                                                                <td><?= htmlspecialchars($row['mblePhone-1'] ?? '') ?></td>
                                                            </tr>
                                                        <?php endwhile; ?>
                                                    <?php else: ?>
                                                        <tr>
                                                            <td colspan="6">No overdue clients found</td>
                                                        </tr>
                                                    <?php endif; ?>
                                                </tbody>
                                            </table>
                                        </div>
                                        <!-- end table-responsive -->
                                        <div style="margin-top: 10px; text-align: right;">
                                            <strong style="font-size: 18px;">
                                                Total:
                                                <span style="font-weight:300;">
                                                    <?= $welcomeList ? $welcomeList->num_rows : 0 ?>
                                                </span>
                                            </strong>
                                        </div>
                                        <!-- Pagination container for "Overdue" table -->
                                        <div id="pagination-welcome" style="margin-top: 10px; text-align: right;"></div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="card-title mb-4"><b>Reviews Due</b></h4>
                                        <div class="table-responsive">
                                            <table class="table align-middle table-nowrap mb-0">
                                                <thead class="table-light">
                                                    <tr>
                                                        <th class="align-middle">ID</th>
                                                        <th class="align-middle">Name</th>
                                                        <th class="align-middle">Payment Date</th>
                                                        <th class="align-middle">Phone</th>
                                                    </tr>
                                                </thead>

                                                <tbody>
                                                    <?php if ($reviewList && $reviewList->num_rows > 0): ?>
                                                        <?php while ($row = $reviewList->fetch_assoc()): ?>
                                                            <tr>
                                                                <td><?= $row['id'] ?></td>
                                                                <td><?= htmlspecialchars($row['full_name'] ?? '') ?></td>
                                                                <td><?= date('d F, Y', strtotime($row['payment_date'] ?? '')) ?></td>
                                                                <td><?= htmlspecialchars($row['mblePhone-1'] ?? '') ?></td>
                                                            </tr>
                                                        <?php endwhile; ?>
                                                    <?php else: ?>
                                                        <tr>
                                                            <td colspan="6">No overdue clients found</td>
                                                        </tr>
                                                    <?php endif; ?>
                                                </tbody>
                                            </table>
                                        </div>
                                        <!-- end table-responsive -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <script>
            // Generic function to set up pagination on a given table, e.g. 15 rows per page
            function setupPagination(tableId, paginationContainerId, rowsPerPage = 15) {
                const table = document.getElementById(tableId);
                if (!table) return;

                const tbody = table.querySelector('tbody');
                if (!tbody) return;

                // Convert all <tr> elements into an array
                const rows = Array.from(tbody.querySelectorAll('tr'));
                const totalRows = rows.length;
                const totalPages = Math.ceil(totalRows / rowsPerPage);

                const paginationContainer = document.getElementById(paginationContainerId);

                // Function to show only the rows for a given page
                function showPage(pageNumber) {
                    const start = (pageNumber - 1) * rowsPerPage;
                    const end = start + rowsPerPage;

                    rows.forEach((row, index) => {
                        if (index >= start && index < end) {
                            row.style.display = '';
                        } else {
                            row.style.display = 'none';
                        }
                    });
                }

                // Create pagination buttons
                function createPaginationButtons() {
                    if (!paginationContainer) return;
                    paginationContainer.innerHTML = '';

                    // Only create buttons if more than 1 page
                    if (totalPages <= 1) return;

                    for (let i = 1; i <= totalPages; i++) {
                        const btn = document.createElement('button');
                        btn.className = 'pagination-button';
                        btn.textContent = i;

                        // On click, show that page
                        btn.addEventListener('click', () => {
                            showPage(i);
                        });

                        paginationContainer.appendChild(btn);
                    }
                }

                // Initialize page view
                showPage(1);
                createPaginationButtons();
            }

            // When DOM is ready, set up pagination for both tables
            document.addEventListener('DOMContentLoaded', function() {
                setupPagination('new-waiting-loa-table', 'pagination-new-waiting-loa', 15);
                setupPagination('overdue-table', 'pagination-overdue', 15);
                setupPagination('welcomedue-table', 'pagination-welcome', 15);
            });
        </script>


</body>

</html>