<?php
session_start();
include 'config.php';

if (!isset($_SESSION['user_id'])) {
    header('Location: lockscreen.php');
    exit();
}

$query = "SELECT username, role FROM users WHERE id = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("i", $_SESSION['user_id']);
$stmt->execute();
$result = $stmt->get_result();
$user = $result->fetch_object();

if (!$user) {
    die("No user found with ID: " . $_SESSION['user_id']);
}

// Gmail POP3 server settings
$hostname = '{pop.gmail.com:995/pop3/ssl/novalidate-cert}';
$username = 'pcp@taylor-price.co.uk'; // Replace with your Gmail address
$password = 'Manchester121!'; // Replace with your app-specific password

// Try to connect to Gmail via POP3
$inbox = imap_open($hostname, $username, $password) or die('Cannot connect to Gmail: ' . imap_last_error());

// Fetch emails
$emails = imap_search($inbox, 'ALL');

if ($emails) {
    rsort($emails); // Sort emails by newest first
    foreach ($emails as $email_number) {
        $overview = imap_fetch_overview($inbox, $email_number, 0)[0];
        $structure = imap_fetchstructure($inbox, $email_number);
        $message = '';

        $attachments = [];
        if (!$structure->parts) { // Simple email
            $message = imap_body($inbox, $email_number);
            $message = decodeMessage($message, $structure->encoding);
        } else { // Multipart email
            foreach ($structure->parts as $partNo => $part) {
                if ($part->type == 0 && ($part->subtype == 'PLAIN' || $part->subtype == 'HTML')) {
                    $message = imap_fetchbody($inbox, $email_number, $partNo + 1);
                    $message = decodeMessage($message, $part->encoding);
                    if ($part->subtype == 'HTML') {
                        break; // Prefer HTML if available
                    }
                } elseif ($part->ifdparameters) {
                    // Attachment found
                    foreach ($part->dparameters as $object) {
                        if (strtolower($object->attribute) == 'filename') {
                            $attachments[$partNo] = [
                                'is_attachment' => true,
                                'filename' => $object->value,
                                'data' => imap_fetchbody($inbox, $email_number, $partNo + 1)
                            ];

                            // Decode attachment data
                            switch ($part->encoding) {
                                case 3: // BASE64
                                    $attachments[$partNo]['data'] = base64_decode($attachments[$partNo]['data']);
                                    break;
                                case 4: // QUOTED-PRINTABLE
                                    $attachments[$partNo]['data'] = quoted_printable_decode($attachments[$partNo]['data']);
                                    break;
                            }
                        }
                    }
                }
            }
        }

        // Convert email date to MySQL DATETIME format
        $email_date = date('Y-m-d H:i:s', strtotime($overview->date));

        // Save email to the database if it doesn't already exist
        $stmt = $conn->prepare("SELECT COUNT(*) FROM emails WHERE date = ? AND sender = ? AND subject = ?");
        $stmt->bind_param("sss", $email_date, $overview->from, $overview->subject);
        $stmt->execute();
        $stmt->bind_result($count);
        $stmt->fetch();
        $stmt->close();

        if ($count == 0) {
            $stmt = $conn->prepare("INSERT INTO emails (date, sender, subject, body, is_read) VALUES (?, ?, ?, ?, 0)");
            $stmt->bind_param("ssss", $email_date, $overview->from, $overview->subject, $message);
            $stmt->execute();
            $email_id = $stmt->insert_id;

            // Save attachments to the database
            foreach ($attachments as $partNo => $attachment) {
                if ($attachment['is_attachment']) {
                    $stmt = $conn->prepare("INSERT INTO attachments (email_id, filename, filedata) VALUES (?, ?, ?)");
                    $stmt->bind_param("iss", $email_id, $attachment['filename'], $attachment['data']);
                    $stmt->execute();
                }
            }
        }
    }
}

// Close the connection after all operations are complete
imap_close($inbox);

function decodeMessage($message, $encoding) {
    switch ($encoding) {
        case 0: // 7BIT
        case 1: // 8BIT
            return $message;
        case 2: // BINARY
            return imap_binary($message);
        case 3: // BASE64
            return base64_decode($message);
        case 4: // QUOTED-PRINTABLE
            return quoted_printable_decode($message);
        case 5: // OTHER
        default:
            return $message;
    }
}
?>
<!DOCTYPE html>
<html>
<head>
    <title>Email Inbox</title>
    <?php include 'layouts/head.php'; ?>
    <?php include 'layouts/head-style.php'; ?>
    <style>
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            padding: 8px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }
        tr.unread {
            font-weight: bold;
        }
        tr.highlight {
            background-color: #d4edda;
        }
        tr:hover {
            background-color: #f5f5f5;
            cursor: pointer;
        }
        .attachment-icon {
            color: #007bff;
            margin-left: 10px;
        }
    </style>
    <script>
        function showMessage(emailId) {
            var url = "email_detail?emailId=" + emailId;
            window.open(url, '_blank');
        }
    </script>
</head>
<?php include 'layouts/body.php'; ?>
<body>
    <div id="layout-wrapper">
    <?php include 'layouts/menu.php'; ?>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <h2>Email Inbox</h2>
                <table>
                    <thead>
                        <tr>
                            <th>Date</th>
                            <th>From</th>
                            <th>Subject</th>
                            <th>Attachments</th>
                            <th>Assigned Case</th>
                            <th>Read Status</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        // Fetch emails from database
                        $query = "SELECT * FROM emails ORDER BY date DESC";
                        $result = $conn->query($query);

                        if ($result->num_rows > 0) {
                            while ($row = $result->fetch_assoc()) {
                                $unread = !$row['is_read'];
                                $hasAttachment = $conn->query("SELECT COUNT(*) FROM attachments WHERE email_id = " . $row['id'])->fetch_row()[0] > 0;
                                $highlight = !empty($row['AssignedId']);
                                ?>
                                <tr class="<?php echo $unread ? 'unread' : ''; ?> <?php echo $highlight ? 'highlight' : ''; ?>" onclick="showMessage(<?php echo $row['id']; ?>)">
                                    <td><?php echo htmlspecialchars($row['date']); ?></td>
                                    <td><?php echo htmlspecialchars($row['sender']); ?></td>
                                    <td><?php echo htmlspecialchars($row['subject']); ?></td>
                                    <td><?php if ($hasAttachment) echo '<i class="attachment-icon fa fa-paperclip"></i>'; ?></td>
                                    <td><?php echo htmlspecialchars($row['AssignedId']); ?></td>
                                    <td><?php echo $unread ? 'Not Read' : 'Read'; ?></td>
                                </tr>
                                <?php
                            }
                        } else {
                            echo '<tr><td colspan="6">No emails found.</td></tr>';
                        }
                        ?>
                    </tbody>
                </table>
                <div id="emailDetail" style="margin-top: 20px;">
                    <!-- Email details will be displayed here -->
                </div>
            </div>
        </div>
    </div>
</body>
</html>
