<?php

// receive_email.php

include 'config.php'; // Include the database configuration

// Only process POST requests
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    header('HTTP/1.1 405 Method Not Allowed');
    exit;
}

// Extract email data
$from = $_POST['from'] ?? 'Unknown sender';
$to = $_POST['to'] ?? 'Unknown recipient';
$subject = $_POST['subject'] ?? 'No subject';
$body = $_POST['text'] ?? $_POST['html'] ?? 'No body text available';

// Function to extract the ID from an email address
function extract_id($email) {
    preg_match('/(\d+)@/', $email, $matches);
    return $matches[1] ?? 0;
}

// Extract IDs
$cse = extract_id($to);
$email_from_id = extract_id($from);

// Prepare SQL statement for inserting into case_corres_emails
$stmt = $conn->prepare("INSERT INTO case_corres_emails (cse, sent_by, email_to, email_from, email_from_text, email_subject, email_html, email_plain, email_datetime, email_drctn, email_read) VALUES (?, 0, ?, ?, ?, ?, ?, ?, NOW(), 'in', 'U')");

// Bind parameters and execute
$stmt->bind_param("issssss", $cse, $to, $cse, $cse, $subject, $body, $body);
$stmt->execute();

if ($stmt->error) {
    echo "Error: " . $stmt->error;
} else {
    echo "Email logged and saved successfully";

    // Retrieve the ID of the inserted row
    $last_id = $stmt->insert_id;

    // Prepare SQL statement for inserting into client_correspondance
    $stmt2 = $conn->prepare("INSERT INTO client_correspondance (Type, Note_Body, Direction, Date, UserId, ClientId, SMSEmail_Row) VALUES ('Email', ?, 'In', NOW(), 0, ?, ?)");
    
    // Bind parameters and execute
    $stmt2->bind_param("sii", $body, $cse, $last_id);
    $stmt2->execute();

    if ($stmt2->error) {
        echo "Error: " . $stmt2->error;
    } else {
        echo "Correspondence entry added successfully";
    }

    $stmt2->close();
}

$stmt->close();
$conn->close();

// Append to file as previously
$entry = "From: $from\nTo: $to\nSubject: $subject\nBody: $body\n---\n";
file_put_contents("emails.txt", $entry, FILE_APPEND);

?>