<?php
include 'config_current.php';
// User is logged in. Fetch their username.
$query = "SELECT nme, job_title FROM account_users WHERE id = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("i", $_SESSION['user_id']);
$stmt->execute();
$result = $stmt->get_result();
$user = $result->fetch_object();
?>
<!-- jQuery first, then Popper.js, then Bootstrap JS -->
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>

<header id="page-topbar">
    <div class="navbar-header">
        <div class="d-flex">
            <!-- LOGO -->
            <div class="navbar-brand-box" >
                <a href="index.php" class="logo logo-dark">
                    <span class="logo-sm">
                        <img src="assets/images/logo.svg" alt="" height="22">
                    </span>
                    <span class="logo-lg">
                        <img src="assets/images/logo-dark.png" alt="" height="17">
                    </span>
                </a>

                <a href="index.php" class="logo logo-light">
                    <span class="logo-sm">
                        <img src="assets/images/Untitled.png" alt="" height="40">
                    </span>
                    <span class="logo-lg">
                        <img src="assets/images/Untitled.png" alt="" height="40">
                    </span>
                </a>
            </div>

            <button type="button" class="btn btn-sm px-3 font-size-16 header-item waves-effect" id="vertical-menu-btn">
                <i class="fa fa-fw fa-bars"></i>
            </button>

            <!-- App Search-->
           <form class="app-search d-none d-lg-block" id="search-form" method="get" action="search.php">
                <div class="position-relative">
                    <input type="text" class="form-control" placeholder="Search" 
                           aria-label="Search" id="app-search-input" name="search" required>
                    <span class="bx bx-search-alt" id="app-button-addon2"></span>
                </div>
            </form>
        </div>

        <div class="d-flex">

            <div class="dropdown d-inline-block d-lg-none ms-2">
                <button type="button" class="btn header-item noti-icon waves-effect" id="page-header-search-dropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="mdi mdi-magnify"></i>
                </button>


                <div class="dropdown-menu dropdown-menu-lg dropdown-menu-end p-0" aria-labelledby="page-header-search-dropdown">

                    <form class="p-3">
                        <div class="form-group m-0">
                            <div class="input-group">
                                <input type="text" class="form-control" placeholder="Search ..." aria-label="Recipient's username">
                                <div class="input-group-append">
                                    <button class="btn btn-primary" type="submit"><i class="mdi mdi-magnify"></i></button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="dropdown d-inline-block">
                <button class="btn header-item waves-effect dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <img class="rounded-circle header-profile-user" src="../logos/tps.png" alt="Header Avatar">
                    <span class="d-none d-xl-inline-block ms-1" key="t-henry"><?php echo htmlspecialchars($user->nme); ?></span><i class="mdi mdi-chevron-down d-none d-xl-inline-block"></i>
                </button>
                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item d-block" href="manage_profile.php"><i class="bx bx-wrench font-size-16 align-middle me-1"></i> <span key="t-settings">Password</span></a>
                    <a class="dropdown-item" href="lockscreen.php"><i class="bx bx-lock-open font-size-16 align-middle me-1"></i> <span key="t-lock-screen">Lock screen</span></a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item text-danger" onclick="window.location.href='logout.php'"><i class="bx bx-power-off font-size-16 align-middle me-1 text-danger"></i> <span key="t-logout">Logout</span></a>
                </div>
            </div>
</header>

<!-- ========== Left Sidebar Start ========== -->
<style>
    .submenu {
        display: none;
        list-style-type: none;
        padding-left: 15px;
    }

    .collapsible-menu.active .submenu {
        display: block;
    }
</style>
<div class="vertical-menu">

    <div data-simplebar class="h-100">

        <!--- Sidemenu -->
        <div id="sidebar-menu">
    <!-- Left Menu Start -->
    <ul class="metismenu list-unstyled" id="side-menu">
        <li class="menu-title" key="t-menu">Menu</li>
        
        <li>
            <a href="dashboard.php" class="waves-effect">
                <i class="bx bx-home-alt"></i>
                <span key="t-dashboards">Dashboard</span>
            </a>
        </li>
        
     
        
        <li id="car_finance_provider">
            <a href="payments.php" class="waves-effect">
                <i class="bx bx-car"></i>
                <span key="t-dashboards">Payments</span>
            </a>
        </li>

        <li>
            <a href="reports.php" class="waves-effect">
                <i class="bx bx-calendar-event"></i>
                <span key="t-dashboards">Reports</span>
            </a>
        </li>

        <li class="collapsible-menu">
            <a href="#" class="waves-effect toggle-submenu">
                <i class="bx bx-bar-chart-alt-2"></i>
                <span key="t-dashboards">Settings</span>
            </a>
            <ul class="submenu">
                <li>
                    <a href="templates.php" class="waves-effect">
                        <i class="bx bx-sort-a-z"></i>
                        <span key="t-dashboards">Templates</span>
                    </a>
                </li>
                <li>
                    <a href="setting_services.php" class="waves-effect">
                        <i class="bx bx-receipt"></i>
                        <span key="t-dashboards">Settings & Services</span>
                    </a>
                </li>
                <li>
                    <a href="globalsettings.php" class="waves-effect">
                        <i class="bx bx-right-arrow-circle"></i>
                        <span key="t-dashboards">Global Settings</span>
                    </a>
                </li>
                <li>
                    <a href="setting_users.php" class="waves-effect">
                        <i class="bx bxs-report"></i>
                        <span key="t-dashboards">Users</span>
                    </a>
                </li>
            </ul>
        </li>

       
    
    </ul>
</div>


        <!-- Sidebar -->
    </div>
</div>
<script>
    document.addEventListener('DOMContentLoaded', function() {
        const toggleButtons = document.querySelectorAll('.toggle-submenu');
        toggleButtons.forEach(function(button) {
            button.addEventListener('click', function(event) {
                event.preventDefault(); // Prevent the link default behavior
                const parentLi = event.target.closest('.collapsible-menu');
                parentLi.classList.toggle('active');
            });
        });
    });
</script>

<!-- Left Sidebar End -->
