<?php
session_start();
include 'config.php';

if (!isset($_SESSION['user_id'])) {
    header('Location: lockscreen.php');
    exit();
}


$query = "SELECT username, password, email, role, created_at FROM users WHERE id = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("i", $_SESSION['user_id']);
$stmt->execute();
$result = $stmt->get_result();
$user = $result->fetch_object();


// Check if user was found
if (!$user) {
    die("No user found with ID: " . $_SESSION['user_id']);
}

?>
<!DOCTYPE html>
<html>
<head>
    <title>Manage Profile</title>
      <?php include 'layouts/head.php'; ?>
    <?php include 'layouts/head-style.php'; ?>
    </head>
<?php include 'layouts/body.php'; ?>
<body>
    <div id="layout-wrapper">

    <?php include 'layouts/menu.php'; ?>
     <div class="main-content">

        <div class="page-content">
            <div class="container-fluid">
                <div class="row">

        
         <div style="flex-grow: 1;">

            <div class="col-xl-12">
                        <div class="card">
                            <div class="card-body">
             <div class="col-lg-12">

        <h4 class="card-title mb-4">My Profile</h4>
        <div class="table-responsive">
            <table class="table align-middle table mb-0">
    <thead class="table-light">
        <tr>
            <th class="align-middle">User ID</th>
            <th class="align-middle">Username</th>
            <th class="align-middle">Role</th>
            <th class="align-middle"></th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><?php echo isset($_SESSION['user_id']) ? htmlspecialchars($_SESSION['user_id']) : ''; ?></td>
            <td><?php echo isset($user->username) ? htmlspecialchars($user->username) : ''; ?></td>
            <td><?php echo isset($user->role) ? htmlspecialchars($user->role) : ''; ?></td>

            <td>
                <a href="#" class="btn btn-primary w-md change-password btn btn-warning waves-effect waves-light" data-user-id="<?php echo $_SESSION['user_id']; ?>">
                    <i class="bx bx-error font-size-16 align-middle me-2"></i>Change Password
                </a>
                
                <div class="modal fade" id="changePasswordModal-<?php echo $_SESSION['user_id']; ?>" tabindex="-1" role="dialog" aria-labelledby="PasswordModal" aria-hidden="true">
                    <div class="modal-dialog modal-lg">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="PasswordModal">Change Password</h5>
                            </div>
                            <div class="modal-body">
                                <form id="changePasswordForm-<?php echo $_SESSION['user_id']; ?>" action="change_personal_password.php" method="post">
                                    <input type="hidden" id="userId-<?php echo $_SESSION['user_id']; ?>" name="userId" value="<?php echo $_SESSION['user_id']; ?>">
                                    <div class="form-group">
                                        <label for="newPassword-<?php echo $_SESSION['user_id']; ?>">New Password</label>
                                        <input type="password" class="form-control" id="newPassword-<?php echo $_SESSION['user_id']; ?>" name="newPassword" required>
                                    </div>
                                    <br>
                                    <button type="submit" class="btn btn-primary" id="submitButton">Save Password</button>
                                </form>
                                <div id="messageContainer-<?php echo $_SESSION['user_id']; ?>" style="display: none;">
                                    Password successfully changed!
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </td>
        </tr>
    </tbody>
</table>

        </div>
    </div>
</div>
                   

</div>
</div>
<!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

<!-- Popper JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>

<!-- Bootstrap JS -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<script>
$(document).ready(function() {
    $('.change-password').on('click', function(e) {
        e.preventDefault();
        
        // Get the user ID from the data-user-id attribute of the clicked button
        var userId = $(this).data('user-id');
        
        // Set the user ID in the hidden input field
        $('#userId').val(userId);
        
        // Open the change password modal
        $('#changePasswordModal-' + userId).modal('show');
    });
});

</script>
<?php
    // Start session if it's not started yet
    if (session_status() === PHP_SESSION_NONE) {
        session_start();
    }

    // Check if the success message is available in the query parameter
    if (isset($_GET['message']) && $_GET['message'] === 'success') {
        // Display the success message
        echo '<div class="alert alert-success">Password changed successfully</div>';
    }
?>

</body>
</html>
