<?php
session_start();
include 'config.php';

if (!isset($_SESSION['user_id'])) {
    header('Location: lockscreen.php');
    exit();
}

$query = "SELECT id, user_id, page, action, clientid, TimeStamp, ipaddress FROM system_audit";
$stmt = $conn->prepare($query);

if (!$stmt->execute()) {
    die("Query execution failed: " . $stmt->error);
}

$result = $stmt->get_result();

if ($result === false) {
    die("Failed to fetch results: " . $conn->error);
} else {
    $workflow = $result->fetch_all(MYSQLI_ASSOC);
}
$query = "SELECT system_audit.id, users.username, system_audit.page, system_audit.action, system_audit.clientid, system_audit.TimeStamp, system_audit.ipaddress FROM system_audit INNER JOIN users ON system_audit.user_id=users.id";
$stmt = $conn->prepare($query);

if (!$stmt->execute()) {
    die("Query execution failed: " . $stmt->error);
}

$result = $stmt->get_result();

if ($result === false) {
    die("Failed to fetch results: " . $conn->error);
} else {
    $auditData = $result->fetch_all(MYSQLI_ASSOC);
}


?>
<!DOCTYPE html>
<html>
<head>
    <title>System Audits</title>
    <?php include 'layouts/head.php'; ?>
    <?php include 'layouts/head-style.php'; ?>
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.24/css/jquery.dataTables.min.css">
</head>
<body>
    <?php include 'layouts/body.php'; ?>
    <div id="layout-wrapper">
    <?php include 'layouts/menu.php'; ?>
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="row">
                <div style="flex-grow: 1;">
                    <div class="col-xl-12">
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="card-title mb-4">Audit History</h4>
                                        <div class="table-responsive">
                                            <table id="auditTable" class="table align-middle table mb-0">
                                                <thead class="table-light">
                                                    <tr>
                                                        <th class="align-middle">User</th>
                                                        <th class="align-middle">Page</th>
                                                        <th class="align-middle">Action</th>
                                                        <th class="align-middle">Client ID</th>
                                                        <th class="align-middle">Date and Time</th>
                                                        <th class="align-middle">IP Address</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                <?php foreach ($auditData as $audit) : ?>
                                                    <tr>
                                                        <td><?php echo isset($audit['username']) ? htmlspecialchars($audit['username']) : ''; ?></td>
                                                        <td><?php echo isset($audit['page']) ? htmlspecialchars($audit['page']) : ''; ?></td>
                                                        <td><?php echo isset($audit['action']) ? htmlspecialchars($audit['action']) : ''; ?></td>
                                                        <td><?php echo isset($audit['clientid']) ? htmlspecialchars($audit['clientid']) : ''; ?></td>
                                                        <td><?php echo isset($audit['TimeStamp']) ? htmlspecialchars($audit['TimeStamp']) : ''; ?></td>
                                                        <td><?php echo isset($audit['ipaddress']) ? htmlspecialchars($audit['ipaddress']) : ''; ?></td>
                                                    </tr>
                                                <?php endforeach; ?>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>


<script>
$(document).ready(function() {
    // Setup - add a text input to each footer cell
    $('.table thead tr').clone(true).appendTo( '.table thead' );
    $('.table thead tr:eq(1) th').each( function (i) {
        var title = $(this).text();
        $(this).html( '<input type="text" placeholder="Search '+title+'" />' );
 
        $( 'input', this ).on( 'keyup change', function () {
            if ( table.column(i).search() !== this.value ) {
                table
                    .column(i)
                    .search( this.value )
                    .draw();
            }
        } );
    } );
 
    var table = $('.table').DataTable( {
        orderCellsTop: true,
        fixedHeader: true
    } );
} );
</script>


</body>
</html>