<?php
session_start();  // Starts the session
ob_start(); // Starts buffer output
include 'config_current.php'; 

$username = isset($_SESSION['account']['email']) ? $_SESSION['account']['email'] : null;
$password = isset($_POST['password']) ? $_POST['password'] : null;


if (!$username || !$password) {
    header('Location: lockscreen.php?error=Missing username or password');
    exit();
}

$query = "
    SELECT 
        id,
        email,
        nme,
        disabled,
        `auth-pass` AS auth_pass,
        `auth-salt` AS auth_salt
    FROM 
        account_users
    WHERE 
        email = ? 
        AND disabled = 0
    LIMIT 1
";

// 5) Execute the query
$stmt = $conn->prepare($query);
$stmt->bind_param("s", $username);
$stmt->execute();
$result = $stmt->get_result();
$user = $result->fetch_object();

// 6) Check if user was found
if (!$user) {
    // No row returned or disabled != 0
    header('Location: lockscreen.php?error=No user found or user is disabled');
    exit();
}

$check_password = hash('sha256', $password . $user->auth_salt);
for ($round = 0; $round < 65536; $round++) {
    $check_password = hash('sha256', $check_password . $user->auth_salt);
}

// 5) Compare
if (strtolower($check_password) === strtolower($user->auth_pass)) {
    // Success - set session
    $_SESSION['account'] = [
        'email' => $user->email,
        'id'    => $user->id,
        // plus other fields
    ];

    header('Location: dashboard.php');
    exit();
} else {
    // Invalid password
    header('Location: lockscreen.php?error=Invalid password');
    exit();
}


?>
